<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="A type-macro that expands to the name of the Rust type representation of a given token."><meta name="keywords" content="rust, rustlang, rust-lang, Token"><title>Token in syn - Rust</title><link rel="preload" as="font" type="font/woff2" crossorigin href="../SourceSerif4-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../FiraSans-Regular.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../FiraSans-Medium.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../SourceCodePro-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../SourceSerif4-Bold.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../SourceCodePro-Semibold.ttf.woff2"><link rel="stylesheet" type="text/css" href="../normalize.css"><link rel="stylesheet" type="text/css" href="../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../ayu.css" disabled><link rel="stylesheet" type="text/css" href="../dark.css" disabled><link rel="stylesheet" type="text/css" href="../light.css" id="themeStyle"><script id="default-settings" ></script><script src="../storage.js"></script><script defer src="sidebar-items.js"></script><script defer src="../main.js"></script><noscript><link rel="stylesheet" href="../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../favicon.svg"></head><body class="rustdoc macro"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="mobile-topbar"><button class="sidebar-menu-toggle">&#9776;</button><a class="sidebar-logo" href="../syn/index.html"><div class="logo-container"><img class="rust-logo" src="../rust-logo.svg" alt="logo"></div>
        </a><h2 class="location"></h2>
    </nav>
    <nav class="sidebar"><a class="sidebar-logo" href="../syn/index.html"><div class="logo-container"><img class="rust-logo" src="../rust-logo.svg" alt="logo"></div>
        </a><div class="sidebar-elems"><h2 class="location"><a href="index.html">In syn</a></h2></div></nav><main><div class="width-limiter"><div class="sub-container"><a class="sub-logo-container" href="../syn/index.html"><img class="rust-logo" src="../rust-logo.svg" alt="logo"></a><nav class="sub"><form class="search-form"><div class="search-container"><span></span><input class="search-input" name="search" autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"><div id="help-button" title="help" tabindex="-1"><button type="button">?</button></div><div id="settings-menu" tabindex="-1">
                                <a href="../settings.html" title="settings"><img width="22" height="22" alt="Change settings" src="../wheel.svg"></a></div>
                        </div></form></nav></div><section id="main-content" class="content"><div class="main-heading">
    <h1 class="fqn"><span class="in-band">Macro <a href="index.html">syn</a>::<wbr><a class="macro" href="#">Token</a><button id="copy-path" onclick="copy_path(this)" title="Copy item path to clipboard"><img src="../clipboard.svg" width="19" height="18" alt="Copy item path"></button></span></h1><span class="out-of-band"><a class="srclink" href="../src/syn/await.rs.html#2">source</a> · <a id="toggle-all-docs" href="javascript:void(0)" title="collapse all docs">[<span class="inner">&#x2212;</span>]</a></span></div><div class="docblock item-decl"><div class="example-wrap"><pre class="rust macro"><code><span class="macro">macro_rules!</span> <span class="ident">Token</span> {
    [<span class="kw">abstract</span>] =&gt; { ... };
    [<span class="kw">as</span>] =&gt; { ... };
    [<span class="kw">async</span>] =&gt; { ... };
    [<span class="ident">auto</span>] =&gt; { ... };
    [<span class="kw">await</span>] =&gt; { ... };
    [<span class="kw">become</span>] =&gt; { ... };
    [<span class="kw">box</span>] =&gt; { ... };
    [<span class="kw">break</span>] =&gt; { ... };
    [<span class="kw">const</span>] =&gt; { ... };
    [<span class="kw">continue</span>] =&gt; { ... };
    [<span class="kw">crate</span>] =&gt; { ... };
    [<span class="ident">default</span>] =&gt; { ... };
    [<span class="kw">do</span>] =&gt; { ... };
    [<span class="kw">dyn</span>] =&gt; { ... };
    [<span class="kw">else</span>] =&gt; { ... };
    [<span class="kw">enum</span>] =&gt; { ... };
    [<span class="kw">extern</span>] =&gt; { ... };
    [<span class="kw">final</span>] =&gt; { ... };
    [<span class="kw">fn</span>] =&gt; { ... };
    [<span class="kw">for</span>] =&gt; { ... };
    [<span class="kw">if</span>] =&gt; { ... };
    [<span class="kw">impl</span>] =&gt; { ... };
    [<span class="kw">in</span>] =&gt; { ... };
    [<span class="kw">let</span>] =&gt; { ... };
    [<span class="kw">loop</span>] =&gt; { ... };
    [<span class="kw">macro</span>] =&gt; { ... };
    [<span class="kw">match</span>] =&gt; { ... };
    [<span class="kw">mod</span>] =&gt; { ... };
    [<span class="kw">move</span>] =&gt; { ... };
    [<span class="kw-2">mut</span>] =&gt; { ... };
    [<span class="kw">override</span>] =&gt; { ... };
    [<span class="kw">priv</span>] =&gt; { ... };
    [<span class="kw">pub</span>] =&gt; { ... };
    [<span class="kw-2">ref</span>] =&gt; { ... };
    [<span class="kw">return</span>] =&gt; { ... };
    [<span class="self">Self</span>] =&gt; { ... };
    [<span class="self">self</span>] =&gt; { ... };
    [<span class="kw">static</span>] =&gt; { ... };
    [<span class="kw">struct</span>] =&gt; { ... };
    [<span class="kw">super</span>] =&gt; { ... };
    [<span class="kw">trait</span>] =&gt; { ... };
    [<span class="kw">try</span>] =&gt; { ... };
    [<span class="kw">type</span>] =&gt; { ... };
    [<span class="kw">typeof</span>] =&gt; { ... };
    [<span class="ident">union</span>] =&gt; { ... };
    [<span class="kw">unsafe</span>] =&gt; { ... };
    [<span class="kw">unsized</span>] =&gt; { ... };
    [<span class="kw">use</span>] =&gt; { ... };
    [<span class="kw">virtual</span>] =&gt; { ... };
    [<span class="kw">where</span>] =&gt; { ... };
    [<span class="kw">while</span>] =&gt; { ... };
    [<span class="kw">yield</span>] =&gt; { ... };
    [<span class="op">+</span>] =&gt; { ... };
    [<span class="op">+</span><span class="op">=</span>] =&gt; { ... };
    [<span class="kw-2">&amp;</span>] =&gt; { ... };
    [<span class="op">&amp;&amp;</span>] =&gt; { ... };
    [<span class="op">&amp;=</span>] =&gt; { ... };
    [@] =&gt; { ... };
    [<span class="op">!</span>] =&gt; { ... };
    [<span class="op">^</span>] =&gt; { ... };
    [<span class="op">^</span><span class="op">=</span>] =&gt; { ... };
    [:] =&gt; { ... };
    [::] =&gt; { ... };
    [,] =&gt; { ... };
    [<span class="op">/</span>] =&gt; { ... };
    [<span class="op">/</span><span class="op">=</span>] =&gt; { ... };
    [$] =&gt; { ... };
    [.] =&gt; { ... };
    [..] =&gt; { ... };
    [...] =&gt; { ... };
    [..<span class="op">=</span>] =&gt; { ... };
    [<span class="op">=</span>] =&gt; { ... };
    [<span class="op">==</span>] =&gt; { ... };
    [<span class="op">&gt;</span><span class="op">=</span>] =&gt; { ... };
    [<span class="op">&gt;</span>] =&gt; { ... };
    [<span class="op">&lt;</span><span class="op">=</span>] =&gt; { ... };
    [<span class="op">&lt;</span>] =&gt; { ... };
    [<span class="kw-2">*</span><span class="op">=</span>] =&gt; { ... };
    [<span class="op">!</span><span class="op">=</span>] =&gt; { ... };
    [<span class="op">|</span>] =&gt; { ... };
    [<span class="op">|</span><span class="op">=</span>] =&gt; { ... };
    [<span class="op">|</span><span class="op">|</span>] =&gt; { ... };
    [#] =&gt; { ... };
    [<span class="question-mark">?</span>] =&gt; { ... };
    [-&gt;] =&gt; { ... };
    [<span class="op">&lt;</span><span class="op">-</span>] =&gt; { ... };
    [<span class="op">%</span>] =&gt; { ... };
    [<span class="op">%</span><span class="op">=</span>] =&gt; { ... };
    [=&gt;] =&gt; { ... };
    [;] =&gt; { ... };
    [<span class="op">&lt;</span><span class="op">&lt;</span>] =&gt; { ... };
    [<span class="op">&lt;</span><span class="op">&lt;</span><span class="op">=</span>] =&gt; { ... };
    [<span class="op">&gt;</span><span class="op">&gt;</span>] =&gt; { ... };
    [<span class="op">&gt;</span><span class="op">&gt;</span><span class="op">=</span>] =&gt; { ... };
    [<span class="kw-2">*</span>] =&gt; { ... };
    [<span class="op">-</span>] =&gt; { ... };
    [<span class="op">-</span><span class="op">=</span>] =&gt; { ... };
    [~] =&gt; { ... };
    [<span class="kw">_</span>] =&gt; { ... };
}</code></pre></div>
</div><details class="rustdoc-toggle top-doc" open><summary class="hideme"><span>Expand description</span></summary><div class="docblock"><p>A type-macro that expands to the name of the Rust type representation of a
given token.</p>
<p>See the <a href="token/index.html">token module</a> documentation for details and examples.</p>
</div></details></section></div></main><div id="rustdoc-vars" data-root-path="../" data-current-crate="syn" data-themes="ayu,dark,light" data-resource-suffix="" data-rustdoc-version="1.64.0-dev" ></div>
</body></html>